#1551 closed defect (fixed)

The fileio sample does not mount FAT partitions

Reported by: Alin Rus Owned by: Chris Johns
Priority: highest Milestone: 4.11
Component: fs/fat Version: 4.11
Severity: normal Keywords:
Cc: joel.sherrill@…, ralf.corsepius@… Blocked By:
Blocking:

Description (last modified by Gedare Bloom)

The fileio does not mount FAT partitions any more even though it assumes using a FAT partition ( see fileio.doc/system.h ).

ChrisJ suggested using #define CONFIGURE_FILESYSTEM_ALL

Patch attached

Attachments (1)

fileio.patch (488 bytes) - added by Alin Rus on Jun 11, 2010 at 12:03:29 PM.
Add #define CONFIGURE_FILESYSTEM_ALL

Download all attachments as: .zip

Change History (9)

Changed on Jun 11, 2010 at 12:03:29 PM by Alin Rus

Attachment: fileio.patch added

Add #define CONFIGURE_FILESYSTEM_ALL

comment:1 Changed on Jun 11, 2010 at 8:36:44 PM by Joel Sherrill

Cc: Joel Sherrill added

comment:2 Changed on Jun 11, 2010 at 9:53:25 PM by Chris Johns

Status: newassigned

comment:3 Changed on Jun 12, 2010 at 4:52:33 PM by Ralf Corsepius

Cc: Ralf Corsepius added

comment:4 Changed on Jun 13, 2010 at 3:34:23 PM by Joel Sherrill

So the NFS client depends on RPCGEN working on that target. That would just mean it is or is not present. Isn't that independent of it being in a separate library?

comment:5 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:6 Changed on Dec 19, 2014 at 5:06:18 AM by Gedare Bloom

Priority: normalhighest

Bump priority to highest for tickets with a fix attached or seemingly simple fix proposed in the description or comments.

comment:7 Changed on Dec 24, 2014 at 3:01:38 AM by Gedare Bloom

Description: modified (diff)
Resolution: fixed
Status: assignedclosed

comment:8 Changed on Oct 10, 2017 at 6:50:58 AM by Sebastian Huber

Component: fsfs/fat
Note: See TracTickets for help on using tickets.